Retrieve a scheduler
curl --request GET \
--url https://api.syntage.com/schedulers/{id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.syntage.com/schedulers/{id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.syntage.com/schedulers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"@context": "/contexts/Scheduler",
"@id": "/schedulers/91106968-1abd-4d64-85c1-4e73d96fb997",
"@type": "Scheduler",
"id": "e0a24894-7fbf-48ae-bfb0-efaae30a6319",
"name": "Daily Invoices Scheduler",
"type": "recurring",
"isEnabled": true,
"rules": {
"@context": "/contexts/SchedulerRule",
"@id": "/schedulers/rules",
"@type": "hydra:Collection",
"hydra:member": [
{
"@id": "/schedulers/rules/91106968-1abd-4d64-85c1-4e73d96fb997",
"@type": "SchedulerRule",
"id": "e0a24894-7fbf-48ae-bfb0-efaae30a6319",
"scheduler": "Daily Invoices Scheduler",
"options": {
"types": [
"I",
"E",
"P"
],
"period": {
"from": "2020-01-01T00:00:00.000Z",
"to": "2020-03-31T23:59:59.000Z"
}
},
"cronExpression": "@daily",
"nextRunDate": "2020-01-01T12:15:00.000Z",
"createdAt": "2020-01-01T12:15:00.000Z",
"updatedAt": "2020-01-01T12:15:00.000Z"
}
],
"hydra:totalItems": 1,
"hydra:view": {
"@id": "/schedulers/rules?page=1",
"@type": "hydra:PartialCollectionView",
"hydra:first": "/schedulers/rules?page=1",
"hydra:next": "/schedulers/rules?page=2",
"hydra:last": "/schedulers/rules?page=3"
},
"hydra:search": {
"@type": "<string>",
"hydra:template": "<string>",
"hydra:variableRepresentation": "<string>",
"hydra:mapping": [
{
"@type": "<string>",
"variable": "<string>",
"property": "<string>",
"required": true
}
]
}
},
"tags": [
{
"@id": "/entity-tags/91106968-1abd-4d64-85c1-4e73d96fb997",
"@type": "EntityTag",
"id": "e0a24894-7fbf-48ae-bfb0-efaae30a6319",
"name": "Priority Entity",
"color": "#22c558",
"createdAt": "2020-01-01T12:15:00.000Z",
"updatedAt": "2020-01-01T12:15:00.000Z"
}
],
"createdAt": "2020-01-01T12:15:00.000Z",
"updatedAt": "2020-01-01T12:15:00.000Z"
}{
"message": "<string>"
}{
"message": "<string>"
}Schedulers
Retrieve a scheduler
Retrieve a scheduler by ID, including its rules and tags.
GET
/
schedulers
/
{id}
Retrieve a scheduler
Authorizations
Your API key is available in the Production and Sandbox dashboards.
Path Parameters
Response
Scheduler resource response
Scheduler IRI reference
Example:
"/schedulers/91106968-1abd-4d64-85c1-4e73d96fb997"
JSON-LD resource type
Example:
"e0a24894-7fbf-48ae-bfb0-efaae30a6319"
Scheduler name; may be null for first-time schedulers created automatically by the platform
Example:
"Daily Invoices Scheduler"
Scheduler type
Available options:
recurring Example:
"recurring"
Whether the scheduler is enabled
Example:
true
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Date and time the resource was created
Example:
"2020-01-01T12:15:00.000Z"
Date and time the resource was last updated
Example:
"2020-01-01T12:15:00.000Z"
Was this page helpful?
⌘I